<template>
  <BoxTextComponent
    v-if="!title.IsHidden"
    :title="'Responsible Gaming'"
    :content="contentInfo"
    class="responsible_gaming"
  />
</template>
<script lang="ts" setup>
import BoxTextComponent from "./components/footerComponents/BoxText.client.vue";
import themePropertyHelper from "@/utils/themePropertyHelper";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";
import { store } from "@/store";

const themeProperties = computed(
  () => store.state.companyThemePropertiesFromApi.ThemeProperties
);
const contentInfo = computed(
  (): IThemePropertiesFromApi =>
    themePropertyHelper.getSingleThemeProperty(
      themeProperties.value,
      "menu_content_4_1"
    )
);
const title = computed(
  (): IThemePropertiesFromApi =>
    themePropertyHelper.getSingleThemeProperty(
      themeProperties.value,
      "footer_menu_info_4"
    )
);
</script>
<style lang="scss" scoped>
.responsible_gaming {
  :deep(p) {
    margin-bottom: 24px;
    font-size: 16px;
  }
  :deep(ul) {
    list-style: disc;
    margin-left: 20px;
  }
}
</style>
